package com.uas.eis.service;

import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

public interface MESHelperService {

	Map<Object, Object> DLLMain(String accessKey, String requestId, String data);

	Map<Object, Object> Weigh(String data);

	Map<Object, Object> SetupResultDataInterface(String data);

	Map<Object, Object> TraceabilityDataInterface(String data);
	Map<Object, Object> XrayTestDataSave(String data);

	Map<Object, Object> SendPlaceData(String data);

	Map<Object, Object> StateEventDetail(String data);

	Map<Object, Object> Radium(String data);

	Map<Object, Object> SPI(String data);

	String CheckSteel(String data);

	String UploadSteel(String SteelMeshCode,String scraperCode, String SteelMeshCount, String scraperCount, String datatime);

	String AOI(String Username,String Shiftname, String MachineNO, String LineNO, String procedure,String Moname,
							String Lotsn,String Side,String Result,String Defect,String elementQTY,String TestQTY,String Type,String Time);

	Map<Object, Object> getMESSnCode(String data);

	Map<Object, Object> getMakeSnCode(String data);

	Map<Object, Object> getMainAllSnCode(String data);


	Map<Object, Object> countQTY(String data);

}